Bug 1117145 - Review Request: python-XStatic - XStatic base package with minimal support code
Summary: Review Request: python-XStatic - XStatic base package with minimal support code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-08 07:04 UTC by Matthias Runge
Modified: 2014-08-23 16:56 UTC (History)
2 users (show)

Fixed In Version: python-XStatic-1.0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 04:29:17 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2014-07-08 07:04:32 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-XStatic.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-XStatic-1.0.1-1.fc20.src.rpm
Description: The goal of XStatic family of packages is to provide static
file packages with minimal overhead - without selling you some
dependencies you don't want.

XStatic has some minimal support code for working with the
XStatic-* packages.

Fedora Account System Username: mrunge

Scratch-Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7115928

Comment 1 Christopher Meng 2014-07-08 07:08:55 UTC
Quick review.

Comment 2 Christopher Meng 2014-07-08 08:10:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
XStatic-1.0.1/%{py3dir}/setup.py
XStatic-1.0.1/%{py3dir}/xstatic/__init__.py
XStatic-1.0.1/%{py3dir}/xstatic/main.py
XStatic-1.0.1/%{py3dir}/xstatic/pkg/__init__.py
XStatic-1.0.1/setup.py
XStatic-1.0.1/xstatic/__init__.py
XStatic-1.0.1/xstatic/main.py
XStatic-1.0.1/xstatic/pkg/__init__.py

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-XStatic
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-XStatic-1.0.1-1.fc21.noarch.rpm
          python3-XStatic-1.0.1-1.fc21.noarch.rpm
          python-XStatic-1.0.1-1.fc21.src.rpm
python-XStatic.noarch: W: invalid-url URL http:/bitbucket.org/thomaswaldmann/xstatic
python3-XStatic.noarch: W: invalid-url URL http:/bitbucket.org/thomaswaldmann/xstatic
python-XStatic.src: W: invalid-url URL http:/bitbucket.org/thomaswaldmann/xstatic
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-XStatic python3-XStatic
python-XStatic.noarch: W: invalid-url URL http:/bitbucket.org/thomaswaldmann/xstatic
python3-XStatic.noarch: W: invalid-url URL http:/bitbucket.org/thomaswaldmann/xstatic
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-XStatic (rpmlib, GLIBC filtered):
    python(abi)

python3-XStatic (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-XStatic:
    python-XStatic

python3-XStatic:
    python3-XStatic



Source checksums
----------------
https://pypi.python.org/packages/source/X/XStatic/XStatic-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0ec93d7c66ebb9e0d31b664753437dc8634cb66e13310cb47c9eb1e0bc66d726
  CHECKSUM(SHA256) upstream package : 0ec93d7c66ebb9e0d31b664753437dc8634cb66e13310cb47c9eb1e0bc66d726


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn python-XStatic-1.0.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-----------------------------------------------
1. Fix invalid URL tag.

2. BuildRequires:  python-devel

->

BuildRequires:  python2-devel

Fix above BEFORE SCM import.
-----------------------------------------------
PACKAGE APPROVED.

Comment 3 Matthias Runge 2014-07-08 08:29:05 UTC
Thanks for the quick review!

Upstream URL is correct and works, this must be a false negative in fedora-review.
That URL is mentioned e.g on pypi as well.

New Package SCM Request
=======================
Package Name: python-XStatic 
Short Description: XStatic base package with minimal support code
Upstream URL: https://bitbucket.org/thomaswaldmann/xstatic
Owners: mrunge
Branches: f20 el6 epel7

Comment 4 Christopher Meng 2014-07-08 08:55:54 UTC
(In reply to Matthias Runge from comment #3)
> Upstream URL is correct and works, this must be a false negative in
> fedora-review.

Nah, check your spec URL tag again.

Hint: http:/ is not a valid URI scheme.

Comment 5 Gwyn Ciesla 2014-07-08 12:50:50 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-08 13:34:34 UTC
python-XStatic-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-XStatic-1.0.1-1.fc20

Comment 7 Fedora Update System 2014-07-08 13:35:37 UTC
python-XStatic-1.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-XStatic-1.0.1-1.el6

Comment 8 Fedora Update System 2014-07-09 02:28:46 UTC
python-XStatic-1.0.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-07-17 04:29:17 UTC
python-XStatic-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-08-23 16:56:23 UTC
python-XStatic-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.